Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class SplitRecordReader

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader
          com.servingxml.components.recordio.SplitRecordReader

All Implemented Interfaces:
  RecordReader

    public class SplitRecordReader

extends AbstractRecordReader
implements RecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`SplitRecordReader()`

Method Summary
`void` | `close()`
`void` | `readRecords(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReader
`discardRecord, endRecordStream, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter, startRecordStream, writeRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter`

Constructor Detail

### SplitRecordReader

    public SplitRecordReader()

Method Detail

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### close

    public void close()

  Overrides:
    `close` in class `AbstractRecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD